Bug 1325933 - openmx-3.8.4 is available
Summary: openmx-3.8.4 is available
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openmx
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: marcindulak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
: 1404230 (view as bug list)
Depends On: 1409242
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-11 12:51 UTC by Upstream Release Monitoring
Modified: 2018-06-08 19:41 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-06-08 19:41:02 UTC


Attachments (Terms of Use)
[patch] Update to 3.8 (#1325933) (980 bytes, patch)
2016-04-11 13:00 UTC, Upstream Release Monitoring
no flags Details | Diff
rewritten spec file (5.76 KB, text/plain)
2016-04-17 23:55 UTC, Dominik 'Rathann' Mierzejewski
no flags Details
rewritten spec file (5.83 KB, text/x-matlab)
2016-04-18 00:27 UTC, Dominik 'Rathann' Mierzejewski
no flags Details
patch consolidating all elpa-related changes into one patch (6.28 KB, patch)
2016-04-18 00:28 UTC, Dominik 'Rathann' Mierzejewski
no flags Details | Diff
patch fixing printf format security-related compilation errors (1.97 KB, patch)
2016-04-18 00:28 UTC, Dominik 'Rathann' Mierzejewski
no flags Details | Diff
rewritten spec file (5.86 KB, text/x-matlab)
2016-04-18 01:16 UTC, Dominik 'Rathann' Mierzejewski
no flags Details
[patch] Update to 3.8.1 (#1325933) (968 bytes, patch)
2016-10-21 12:30 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 3.8.2 (#1325933) (997 bytes, patch)
2017-03-03 00:18 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 3.8.3 (#1325933) (997 bytes, patch)
2017-03-08 12:18 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-04-11 12:51:26 UTC
Latest upstream release: 3.8
Current version/release in rawhide: 3.7.10-3.fc24
URL: http://www.openmx-square.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/10457/

Comment 1 Upstream Release Monitoring 2016-04-11 13:00:01 UTC
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'

Comment 2 Upstream Release Monitoring 2016-04-11 13:00:30 UTC
Created attachment 1145995 [details]
[patch] Update to 3.8 (#1325933)

Comment 3 Dominik 'Rathann' Mierzejewski 2016-04-13 10:41:16 UTC
While updating, could you check if it builds against latest ELPA? Here's a scratch build to test against: http://koji.fedoraproject.org/koji/taskinfo?taskID=13644887 .
I intend to update elpa in rawhide and F24 this week.

Comment 4 Dominik 'Rathann' Mierzejewski 2016-04-17 23:54:07 UTC
I managed to get the new version to build with elpa-2015.11 and also rewrote the whole build/install/check logic, as the original was barely readable IMHO. Here's a scratch build and I'm attaching new spec and patches, too.

http://koji.fedoraproject.org/koji/taskinfo?taskID=13695524

Comment 5 Dominik 'Rathann' Mierzejewski 2016-04-17 23:55 UTC
Created attachment 1148085 [details]
rewritten spec file

Comment 6 Dominik 'Rathann' Mierzejewski 2016-04-18 00:27 UTC
Created attachment 1148093 [details]
rewritten spec file

This scratch build should complete successfully:
https://koji.fedoraproject.org/koji/taskinfo?taskID=13695589

Comment 7 Dominik 'Rathann' Mierzejewski 2016-04-18 00:28 UTC
Created attachment 1148094 [details]
patch consolidating all elpa-related changes into one patch

Comment 8 Dominik 'Rathann' Mierzejewski 2016-04-18 00:28 UTC
Created attachment 1148095 [details]
patch fixing printf format security-related compilation errors

Comment 9 Dominik 'Rathann' Mierzejewski 2016-04-18 01:16 UTC
Created attachment 1148097 [details]
rewritten spec file

Another attempt:
koji.fedoraproject.org/koji/taskinfo?taskID=13695637

Comment 10 Upstream Release Monitoring 2016-10-21 12:27:42 UTC
Latest upstream release: 3.8.1
Current version/release in rawhide: 3.7.10-6.fc25
URL: http://www.openmx-square.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/10457/

Comment 11 Upstream Release Monitoring 2016-10-21 12:30:01 UTC
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'

Comment 12 Upstream Release Monitoring 2016-10-21 12:30:34 UTC
Created attachment 1212824 [details]
[patch] Update to 3.8.1 (#1325933)

Comment 13 marcindulak 2016-12-29 21:21:17 UTC
*** Bug 1404230 has been marked as a duplicate of this bug. ***

Comment 14 marcindulak 2016-12-29 23:45:02 UTC
thanks for helping. working on building 3.8.1

Comment 15 marcindulak 2016-12-30 16:13:11 UTC
Waiting. Due to different versions of elpa on Fedora and epel7/epel6 I would have to maintain more than one set of patches. The build fails on epel7 (https://koji.fedoraproject.org/koji/taskinfo?taskID=17119977) with:

mpif90 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mtune=generic -fopenmp -I/usr/lib64/gfortran/modules/mpich-x86_64 -I/usr/lib64/gfortran/modules/mpich -I/usr/lib64/gfortran/modules/mpich-x86_64 -c solve_evp_real.f90 
solve_evp_real.f90:62.66:
   call tridiag_real(na, a, lda, nblk, matrixCols, mpi_comm_rows, mpi_comm_cols
                                                                  1
Error: Type mismatch in argument 'd' at (1); passed INTEGER(4) to REAL(8)
solve_evp_real.f90:69.20:
                    mpi_comm_cols, wantDebug, success)
                    1
Error: Type mismatch in argument 'wantdebug' at (1); passed INTEGER(4) to LOGICAL(4)
solve_evp_real.f90:75.99:
, nev, a, lda, tau, q, ldq, nblk, matrixCols, mpi_comm_rows, mpi_comm_cols)
                                                                           1
Error: More actual than formal arguments in procedure call at (1)

Comment 16 Upstream Release Monitoring 2016-12-31 00:23:21 UTC
marcindulak's openmx-3.8.1-9.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=830244

Comment 17 Dominik 'Rathann' Mierzejewski 2017-02-08 23:40:28 UTC
Can you test with elpa-2016.05.004? It's in my copr: https://copr.fedorainfracloud.org/coprs/rathann/elpa/

Comment 18 marcindulak 2017-02-09 14:59:24 UTC
"local_index" seems to be missing from elpa1.mod, and this is used by openmx.
Can you see if this has been removed by elpa developers, or it's just an elpa build error?

The strange thing that "local_index" is present both in the latest https://gitlab.mpcdf.mpg.de/elpa/elpa, and in the previously packaged elpa RPMS.

# cat /etc/redhat-release 
CentOS Linux release 7.2.1511 (Core) 
# rpm -q elpa-mpich-devel
elpa-mpich-devel-2015.02.002-4.el7.x86_64
# for f in `rpm -ql elpa-mpich-devel | grep mod`; do cat $f | grep local_index; done
76 'local_index' 'elpa1' '' 1 ((PROCEDURE UNKNOWN-INTENT MODULE-PROC
62 'least_common_multiple' 0 72 'local_index' 0 76 'mult_ah_b_complex' 0
76 'local_index' 'elpa1' '' 1 ((PROCEDURE UNKNOWN-INTENT MODULE-PROC
62 'least_common_multiple' 0 72 'local_index' 0 76 'mult_ah_b_complex' 0

But after rebuilding for your elpa copr for Rawhide I get:

# rpm -q elpa-mpich-devel
elpa-mpich-devel-2016.05.004-1.fc26.x86_64
# cat /etc/redhat-release 
Fedora release 26 (Rawhide)

# for f in `rpm -ql elpa-mpich-devel | grep mod`; do zcat $f | grep local_index; done
5 'map_global_array_index_to_local_index' 'elpa_utilities' '' 1 ((
'map_global_array_index_to_local_index' 0 5 'pcol' 0 17 'prow' 0 23)
5 'map_global_array_index_to_local_index' 'elpa_utilities' '' 1 ((
'map_global_array_index_to_local_index' 0 5 'pcol' 0 17 'prow' 0 23)

Also, please verify if the elpa copr build correctly on EL7, I'm getting, at least one error in check-TESTS:

make  check-TESTS
make[2]: Entering directory `/root/rpmbuild/BUILD/elpa-2016.05.004/mpich'
fdep/fortran_dependencies.mk:76: warning: overriding recipe for target `test/Fortran/elpa2_test_complex_api-test_complex2_api.use_mods_elpa2_test_complex_api.o'
fdep/fortran_dependencies.mk:76: warning: ignoring old recipe for target `test/Fortran/elpa2_test_complex_api-test_complex2_api.use_mods_elpa2_test_complex_api.o'
fdep/fortran_dependencies.mk:76: warning: overriding recipe for target `test/Fortran/elpa2_test_complex_api-test_complex2_api.def_mods_elpa2_test_complex_api.o'
fdep/fortran_dependencies.mk:76: warning: ignoring old recipe for target `test/Fortran/elpa2_test_complex_api-test_complex2_api.def_mods_elpa2_test_complex_api.o'
fdep/fortran_dependencies.mk:117: target `/root/rpmbuild/BUILD/elpa-2016.05.004/mpich/.fortran_dependencies/elpa2_test_complex_api' given more than once in the same rule.
make[3]: Entering directory `/root/rpmbuild/BUILD/elpa-2016.05.004/mpich'
fdep/fortran_dependencies.mk:76: warning: overriding recipe for target `test/Fortran/elpa2_test_complex_api-test_complex2_api.use_mods_elpa2_test_complex_api.o'
fdep/fortran_dependencies.mk:76: warning: ignoring old recipe for target `test/Fortran/elpa2_test_complex_api-test_complex2_api.use_mods_elpa2_test_complex_api.o'
fdep/fortran_dependencies.mk:76: warning: overriding recipe for target `test/Fortran/elpa2_test_complex_api-test_complex2_api.def_mods_elpa2_test_complex_api.o'
fdep/fortran_dependencies.mk:76: warning: ignoring old recipe for target `test/Fortran/elpa2_test_complex_api-test_complex2_api.def_mods_elpa2_test_complex_api.o'
fdep/fortran_dependencies.mk:117: target `/root/rpmbuild/BUILD/elpa-2016.05.004/mpich/.fortran_dependencies/elpa2_test_complex_api' given more than once in the same rule.
PASS: elpa1_test_real.sh
PASS: elpa1_test_real_with_c.sh
PASS: elpa2_test_real.sh
PASS: elpa2_test_real_default.sh
FAIL: elpa1_test_complex.sh
PASS: elpa2_test_complex.sh

Comment 19 Dominik 'Rathann' Mierzejewski 2017-02-10 10:07:01 UTC
I'm talking to upstream about the missing local_index function (it was moved to ELPA1_compute module in 2016.05.001).

The elpa test fail is probably due to mismatched blas library. I switched to openblas for rawhide because scalapack uses it there, but I think it's still using atlas in stable releases. I'll put in a condition to use openblas only on F26+.

Comment 20 marcindulak 2017-02-14 09:25:22 UTC
I see you have openblas/scalapack in your copr, and see this update 
http://pkgs.fedoraproject.org/cgit/rpms/scalapack.git/commit/scalapack.spec?id=edb43755b9246dae477dec72e616a688cdf42b91

Are you working on rebuilding those for the latest gfortran in Rawhide? I have received emails from releng that many my packages failed to rebuild on Rawhide due to libgfortran dependency missing:

"Error: nothing provides libgfortran.so.3()(64bit) needed by"

https://koji.fedoraproject.org/koji/taskinfo?taskID=17767379

Comment 21 Dominik 'Rathann' Mierzejewski 2017-02-14 12:53:40 UTC
Yes. openblas was fixed and built and scalapack was rebuilt against it last night. elpa, cp2k and openmx are next.

Comment 22 Upstream Release Monitoring 2017-02-17 05:50:10 UTC
zbyszek's openmx-3.8.1-10.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=849301

Comment 23 marcindulak 2017-02-17 14:31:52 UTC
I'm still getting problems due to libgfortran.so.3() on Rawhide for openblas and scalapack: https://bugzilla.redhat.com/show_bug.cgi?id=1423679

Comment 24 marcindulak 2017-02-17 14:33:36 UTC
(In reply to marcindulak from comment #23)
> I'm still getting problems due to libgfortran.so.3() on Rawhide for openblas
> and scalapack: https://bugzilla.redhat.com/show_bug.cgi?id=1423679

No, actually it's gpaw build from one week ago. Curious that the bug is reported and email sent just now.

Comment 25 Dominik 'Rathann' Mierzejewski 2017-02-18 10:05:11 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #19)
> I'm talking to upstream about the missing local_index function (it was moved
> to ELPA1_compute module in 2016.05.001).

It was actually moved to ELPA_utilities. However, there are 6 other functions that were made private (module ELPA1_COMPUTE which doesn't get installed) and had their API changed. I'm talking to ELPA upstream about those now.

I have a test build of latest ELPA from git with those APIs exposed and openmx-3.8.1 builds fine against it with some patching. However, I don't want to expose private APIs without talking to ELPA upstream first.

Comment 26 Dominik 'Rathann' Mierzejewski 2017-02-20 12:31:49 UTC
Here are the elpa and openmx builds modified as described in comment 25: https://copr.fedorainfracloud.org/coprs/rathann/elpa/ . I haven't heard from elpa upstream yet. Can you talk to openmx upstream about supporting latest elpa in the meantime?

Comment 27 marcindulak 2017-02-20 14:26:52 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #26)
> Here are the elpa and openmx builds modified as described in comment 25:
> https://copr.fedorainfracloud.org/coprs/rathann/elpa/ . I haven't heard from
> elpa upstream yet. Can you talk to openmx upstream about supporting latest
> elpa in the meantime?

http://www.openmx-square.org/forum/patio.cgi?mode=view&no=2099

Comment 28 Upstream Release Monitoring 2017-03-03 00:17:39 UTC
Latest upstream release: 3.8.2
Current version/release in rawhide: 3.8.1-10.fc26
URL: http://www.openmx-square.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/10457/

Comment 29 Upstream Release Monitoring 2017-03-03 00:18:09 UTC
Created attachment 1259371 [details]
[patch] Update to 3.8.2 (#1325933)

Comment 30 Upstream Release Monitoring 2017-03-03 02:28:47 UTC
hotness's scratch build of openmx-3.8.2-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=18143108

Comment 31 Upstream Release Monitoring 2017-03-08 12:17:18 UTC
Latest upstream release: 3.8.3
Current version/release in rawhide: 3.8.1-10.fc26
URL: http://www.openmx-square.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/10457/

Comment 32 Upstream Release Monitoring 2017-03-08 12:18:13 UTC
Created attachment 1261235 [details]
[patch] Update to 3.8.3 (#1325933)

Comment 33 Upstream Release Monitoring 2017-03-08 14:32:32 UTC
hotness's scratch build of openmx-3.8.3-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=18264074

Comment 34 Dominik 'Rathann' Mierzejewski 2017-06-12 14:01:39 UTC
Looks like openmx upstream is not eager to properly use elpa API. Please note that with elpa-2017.05.001 (still a release candidate, so I'm not building it yet), there are new APIs, which elpa upstream says will be stable. I'm planning to update to this new release this summer. You might want to revisit porting openmx to the new API by then or consider bundling the old elpa with openmx.

Comment 35 Upstream Release Monitoring 2018-03-05 12:19:43 UTC
Latest upstream release: 3.8.4
Current version/release in rawhide: 3.8.1-12.fc27
URL: http://www.openmx-square.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/10457/

Comment 36 marcindulak 2018-06-08 19:41:02 UTC
I've been trying to get https://bugzilla.redhat.com/show_bug.cgi?id=1583381 back, but patching the code requires too much effort. Therefore I stop maintaining the openmx spec.


Note You need to log in before you can comment on or make changes to this bug.